FROM semaphoreui/semaphore:v2.8.75

USER root

RUN apk add --update --no-cache python3 py-pip python3-dev musl-dev krb5 krb5-dev gcc

RUN pip install --upgrade pip \
    pip install --upgrade pywinrm \
    pip install --upgrade pywinrm[kerberos] \
    pip install --upgrade pywinrm[credssp]

#RUN apt-get update \
#   && apt-get upgrade -y \
#   && apt-get install -y --no-install-recommends \
#       gcc \
#       libffi-devel \
#       python3 \
#       epel-release \
#       python3-pip \
#       wget 

#RUN pip3 install --upgrade pip \
#   pip3 install --upgrade virtualenv \
#   pip3 install pywinrm[kerberos] \
#   pip3 install pywinrm \
#   pip3 install jmspath \
#   pip3 install request prueba

RUN ls /usr/local/bin/

WORKDIR /home/semaphore

USER 1001

CMD ["/usr/local/bin/semaphore-wrapper","/usr/local/bin/semaphore","server","--config","/etc/semaphore/config.json"]